> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/developer/rest-api/forward-compatibility-undocumented-features.md).

# Forward compatibility (undocumented features)

Any behaviour that is not referenced in this documentation is subject to change. This includes routes, default values, field names, field values, request parameters, and HTTP verbs. Which is everything in a REST API so please take note:

* If you discover a route or query parameter that is not documented here, a future version may change it.
* Take all 2xx responses as success and all 4xx responses as failure. Example: a success could be 200 or 204 depending on whether it has something to tell you, and a negative result will change between the various 400s depending on the environment.
* Treat item IDs as strings even though they currently look like small integers. We intend to change them.
* Treat string identifiers as strings even if they look like GUIDs. If the documentation does not say they will always be a GUID, they may not.
* Some routes work with a PATCH even though they should only accept a POST. One day, PATCHes to routes that do not have a PATCH in this document will start to fail.
* Format all the timestamps you send as specified in the documentation. The parser we currently use is quite flexible so you may find that other formats such as "1/12/2025" and "12/1/2025" work today, but they may not tomorrow.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/developer/rest-api/forward-compatibility-undocumented-features.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
